org.eclipse.net4j.util.event

## Class ThrowableEventAdapter.ToPrintStream

- java.lang.Object
- - org.eclipse.net4j.util.event.ThrowableEventAdapter
  - - org.eclipse.net4j.util.event.ThrowableEventAdapter.ToPrintStream

- All Implemented Interfaces:
    EventListener, IListener
  Enclosing class:
    ThrowableEventAdapter

      public static class ThrowableEventAdapter.ToPrintStream
      extends ThrowableEventAdapter

  Prints the stack traces of throwable `events` to a `PrintStream`.
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.ThrowableEventAdapter

      `ThrowableEventAdapter.ToPrintStream`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ThrowableEventAdapter.ToPrintStream` | `CONSOLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToPrintStream(PrintStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrintStream` | `getOut()`
    `protected void` | `onThrowable(INotifier source, Throwable t)`

    - ### Methods inherited from class org.eclipse.net4j.util.event.ThrowableEventAdapter

      `notifyEvent, notifyLifecycleEvent, notifyOtherEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final ThrowableEventAdapter.ToPrintStream CONSOLE

  - ### Constructor Detail

    - #### ToPrintStream

          public ToPrintStream(PrintStream out)

  - ### Method Detail

    - #### getOut

          public final PrintStream getOut()

    - #### onThrowable

          protected void onThrowable(INotifier source,
                                     Throwable t)

      Overrides:
        `onThrowable` in class `ThrowableEventAdapter`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html